package com.ruoyi.syzy.domain;

import com.ruoyi.mxjb.domain.MxjbContants;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 生涯课程对象 b_busi_sygh_video
 * 
 * @author mingxue
 * @date 2021-07-25
 */
public class BBusiSyghVideo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Integer aliIdType = MxjbContants.Ali_Id_sygh;

    /** id */
    private Long id;

    /** 类型(1:发现自我,2:生涯探索,3:生涯决策,4:生涯管理) */
    @Excel(name = "类型(1:发现自我,2:生涯探索,3:生涯决策,4:生涯管理)")
    private Integer type;

    /** 科目 */
    @Excel(name = "科目")
    private String subjectName;

    /** 科目 */
    @Excel(name = "知识点")
    private Integer knowledgeId;

    /** 科目 */
    @Excel(name = "科目")
    private Integer subjectId;

    /** 知识点 */
    @Excel(name = "知识点")
    private String knowledgeName;

    /** 视频标题 */
    @Excel(name = "视频标题")
    private String name;

    /** 阿里云视频id */
    @Excel(name = "阿里云视频id")
    private String aliid;

    /** 封面地址 */
    @Excel(name = "封面地址")
    private String pictUrl;

    /** 视频播放量 */
    @Excel(name = "视频播放量")
    private Integer plays;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getKnowledgeId() {
        return knowledgeId;
    }

    public void setKnowledgeId(Integer knowledgeId) {
        this.knowledgeId = knowledgeId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getKnowledgeName() {
        return knowledgeName;
    }

    public void setKnowledgeName(String knowledgeName) {
        this.knowledgeName = knowledgeName;
    }

    public void setAliid(String aliid) {
        this.aliid = aliid;
    }

    public String getAliid() {
        return aliid;
    }

    public void setPictUrl(String pictUrl) {
        this.pictUrl = pictUrl;
    }

    public String getPictUrl() {
        return pictUrl;
    }

    public void setPlays(Integer plays) {
        this.plays = plays;
    }

    public Integer getPlays() {
        return plays;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Integer getAliIdType() {
        return aliIdType;
    }

    public void setAliIdType(Integer aliIdType) {
        this.aliIdType = aliIdType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("type", getType())
            .append("name", getName()).append("aliid", getAliid()).append("pictUrl", getPictUrl()).append("plays", getPlays())
            .append("createtime", getCreateTime()).append("status", getStatus()).toString();
    }
}
